mscorlib 2.0.0.0 4.0.0.0 System.ValueType

For additional information about VARDESC, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Describes a variable, constant, or data member.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.VARDESC+DESCUNION

  For additional information about VARDESC, see the MSDN Library.

  Contains information about a variable.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.ELEMDESC

  For additional information about VARDESC, see the MSDN Library.

  Contains the variable type.

- Field
  2.0.0.0
  4.0.0.0
  System.String

  For additional information about VARDESC, see the MSDN Library.

  This field is reserved for future use.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  For additional information about VARDESC, see the MSDN Library.

  Indicates the member ID of a variable.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.VARKIND

  For additional information about VARDESC, see the MSDN Library.

  Defines how to marshal a variable.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  For additional information about VARDESC, see the MSDN Library.

  Defines the properties of a variable.